Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 263)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 264)
@@ -67,7 +67,7 @@
         /// <summary>
         /// データ表示グリッドソートクリア
         /// </summary>
-        private void ClearGridSort()
+        private void ClearGridSort(bool TabChg = true)
         {
             try
             {
@@ -106,9 +106,19 @@
                         ClearGridSortStatus(dgvFluctuationProjects);
                         break;
                     case (int)TabNameEnum.NonOrders:
+                        if (TabChg)
+                        {
+                            numUDNonOrder.Minimum = 0;
+                            numUDNonOrder.Value = 0;
+                        }
                         ClearGridSortStatus(dgvNonOrders);
                         break;
                     case (int)TabNameEnum.CompletionOfConstruction:
+                        if (TabChg)
+                        {
+                            numUDCompletion.Minimum = 0;
+                            numUDCompletion.Value = 0;
+                        }
                         ClearGridSortStatus(dgvCompletionOfConstruction);
                         break;
                     default:
@@ -134,7 +144,7 @@
                 if (tabMenu.SelectedTab == null) return;
 
                 // ソートクリア
-                ClearGridSort();
+                ClearGridSort(false);
 
                 // データコピーボタン非表示
                 btnDataCopyE.Visible = false;
@@ -1475,6 +1485,8 @@
             try
             {
                 m_bInitFlg = true;
+                bool bFirst = false;
+                if (numUPObject.Value == 0) bFirst = true;
                 // 検索年度セット
                 // データにある事業期と現在の事業セット
                 int minval = 0;
@@ -1482,7 +1494,7 @@
                 CommonMotions.GetPeriodYear(ref minval, ref maxval);
                 numUPObject.Minimum = minval;
                 numUPObject.Maximum = maxval;
-                numUPObject.Value = CommonMotions.SystemMasterData.BusinessPeriod;
+                if (bFirst) numUPObject.Value = CommonMotions.SystemMasterData.BusinessPeriod;
             }
             catch (Exception ex)
             {
@@ -5065,8 +5077,12 @@
                 chartSalesGraph.Series.Clear();
                 if (bInitFlg)
                 {
+                    bGraphNotDrow = true;
                     // データにある事業期と現在の事業セット
                     SetPeriodYear();
+                    // 部署コンボボックスセット
+                    SetcmbDepartment();
+                    bGraphNotDrow = false;
                 }
                 // データの取得
                 DataSet ds = GetData();
@@ -5109,6 +5125,15 @@
                         case 4:
                             chartSalesGraph.Series[columnName].Color = Color.Blue;
                             break;
+                        case 5:
+                            chartSalesGraph.Series[columnName].Color = Color.SkyBlue;
+                            break;
+                        case 6:
+                            chartSalesGraph.Series[columnName].Color = Color.NavajoWhite;
+                            break;
+                        case 7:
+                            chartSalesGraph.Series[columnName].Color = Color.Orange;
+                            break;
                     }
                     // グラフを円筒形に描画
                     chartSalesGraph.Series[columnName].SetCustomProperty("DrawingStyle", "Cylinder");
@@ -5133,6 +5158,68 @@
         }
         #endregion
 
+        #region 部署コンボボックスをセットする
+        /// <summary>
+        /// 部署コンボボックスへ文字をセットする
+        /// </summary>
+        private void SetcmbDepartment()
+        {
+            IOMDepartment depDB = new IOMDepartment();
+            try
+            {
+                cmbDepartment.DataSource = null;
+                cmbDepartment.Items.Clear();
+                cmbDepartment.Text = "";
+
+                StringBuilder strSQL = new StringBuilder();
+                // 部署マスタを検索する
+                strSQL.Append("SELECT A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER, COUNT(*)");
+                strSQL.Append(" FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C");
+                strSQL.Append(" WHERE A.DELETEFLG = 0");
+
+                if (CommonMotions.LoginUserData.PersonCode != CommonDefine.AdminCode)
+                {
+                    // 参照部署マスタより取得する
+                    strSQL.Append(" AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1");
+                    strSQL.AppendFormat(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                }
+
+                strSQL.Append(" AND A.DEPARTMENTCODE = B.DEPARTMENTCODE");
+                strSQL.Append(" AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE");
+                strSQL.Append(" GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER");
+                strSQL.Append(" ORDER BY A.DISPLAYORDER ASC");
+
+                // 部署マスタ読込
+                ArrayList arList = new ArrayList();
+                if (!depDB.ExecuteReader(strSQL.ToString(), ref arList)) return;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (object[] work in arList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(CommonMotions.cnvInt(work[0])
+                                                                                    , CommonMotions.cnvString(work[1]));
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
+
+                return;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                depDB.close(); depDB = null;
+            }
+        }
+        #endregion
+
         #region グラフデータ取得SQL作成
         /// <summary>
         /// グラフデータ取得SQL作成
@@ -5142,9 +5229,19 @@
         {
             try
             {
+                int SelDepartment = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+
                 strSQL.Append("Select");
-                strSQL.Append(" Dep.DepartmentCode AS DepartmentCode");             // 0
-                strSQL.Append(", Dep.DepartmentString AS DepName");                 // 1
+                if (SelDepartment == 0)
+                {
+                    strSQL.Append(" Dep.DepartmentCode AS DepartmentCode");         // 0
+                    strSQL.Append(", Dep.DepartmentString AS DepName");             // 1
+                }
+                else
+                {
+                    strSQL.Append(" Person.PersonCode AS PersonCode");              // 0
+                    strSQL.Append(", Person.PersonName AS PerName");                // 1
+                }
                 strSQL.Append(", ReqDetail.Amount As Amount");                      // 2
                 strSQL.Append(", SUM(Ledger.CompanyExpenses) As CompExp");          // 3
                 strSQL.Append(", SUM(Ledger.DepartmentExpenses) As DepExp");        // 4
@@ -5152,15 +5249,13 @@
                 strSQL.Append(", SUM(Ledger.TOTALPAYMENT)");                        // 6
                 strSQL.Append(", SUM(Ledger.GrossProfit) As Gross");                // 7
                 strSQL.Append(", SUM(Ledger.NetProfit) As Net");                    // 8
-                strSQL.Append(", DATE_FORMAT(MAX(ReqDetail.UPDATEDATE)");           // 9
-                strSQL.Append(", '%Y/%m/%d') AS ReqDate");
-                strSQL.Append(", DATE_FORMAT(MAX(Ledger.UPDATEDATE)");              // 10
-                strSQL.Append(", '%Y/%m/%d') AS LedgerDate");
+                strSQL.Append(", DATE_FORMAT(MAX(ReqDetail.UPDATEDATE), '%Y/%m/%d') AS ReqDate");   // 9
+                strSQL.Append(", DATE_FORMAT(MAX(Ledger.UPDATEDATE), '%Y/%m/%d') AS LedgerDate");   // 10
                 strSQL.Append(", SUM(Ledger.OrdersDecisionPrice) As OrderVal");     // 11
 
                 strSQL.Append(" From");
-                strSQL.Append(" departmentmaster AS Dep");
-                strSQL.Append(" LEFT JOIN personinchargemaster AS Person ON Person.DepartmentCode = Dep.DepartmentCode");
+                strSQL.Append(" personinchargemaster AS Person");
+                strSQL.Append(" LEFT JOIN departmentmaster AS Dep ON Dep.DepartmentCode = Person.DepartmentCode");
                 strSQL.Append(" LEFT JOIN constructionbaseinfo AS Constr ON Constr.ConstructionPersonCode = Person.PersonCode");
                 strSQL.Append(" LEFT JOIN constructionledger As Ledger ON Ledger.ConstructionCode = Constr.ConstructionCode");
 
@@ -5167,8 +5262,16 @@
                 int NotOrder = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
                 StringBuilder strSubSQL = new StringBuilder();
                 strSubSQL.Append(", (Select");
-                strSubSQL.Append(" F.DepartmentCode AS DepartmentCode");
-                strSubSQL.Append(" , F.DepartmentString AS DepName");
+                if (SelDepartment == 0)
+                {
+                    strSubSQL.Append(" F.DepartmentCode AS DepartmentCode");
+                    strSubSQL.Append(" , F.DepartmentString AS DepName");
+                }
+                else
+                {
+                    strSubSQL.Append(" A.PersonCode AS PersonCode");
+                    strSubSQL.Append(" , A.PersonName AS PerName");
+                }
                 strSubSQL.Append(" , Sum(C.REQUESTAMOUNT) As Amount");
                 strSubSQL.Append(" , DATE_FORMAT(MAX(C.UPDATEDATE), '%Y/%m/%d') AS UPDATEDATE");
                 strSubSQL.Append(" From");
@@ -5180,19 +5283,36 @@
                 strSubSQL.Append(" WHERE");
                 strSubSQL.AppendFormat(" B.CONSTRUCTIONPERIOD = {0}", SalseGraphNum.Value);
                 strSubSQL.AppendFormat(" And B.CONSTRUCTIONSTATUSFLG <> {0}", NotOrder);
-                strSubSQL.AppendFormat(" And D.ConstructionCode = B.ConstructionCode");
-                strSubSQL.AppendFormat(" And F.DepartmentCode = A.DepartmentCode");
-                strSubSQL.AppendFormat(" Group By F.DepartmentCode");
+                strSubSQL.Append(" And D.ConstructionCode = B.ConstructionCode");
+                strSubSQL.Append(" And F.DepartmentCode = A.DepartmentCode");
+                if (SelDepartment == 0)
+                {
+                    strSubSQL.Append(" Group By F.DepartmentCode");
+                }
+                else
+                {
+                    strSubSQL.AppendFormat(" And A.DepartmentCode = {0}", SelDepartment);
+                    strSubSQL.Append(" Group By A.PersonCode");
+                }
                 strSubSQL.AppendFormat(") AS ReqDetail");
 
                 strSQL.Append(strSubSQL.ToString());
 
                 strSQL.AppendFormat(" WHERE Constr.ConstructionPeriod = {0}", SalseGraphNum.Value);
-                strSQL.Append(" And ReqDetail.DepartmentCode = Dep.DepartmentCode");
                 strSQL.AppendFormat(" And Person.LEDGERFLG = {0}", (int)CommonDefine.PersonLedgerDivNo.CalcTarget);
 
-                strSQL.Append(" Group By Dep.DepartmentCode");
-                strSQL.Append(" Order By Dep.DisplayOrder");
+                if (SelDepartment == 0)
+                {
+                    strSQL.Append(" And ReqDetail.DepartmentCode = Dep.DepartmentCode");
+                    strSQL.Append(" Group By Dep.DepartmentCode");
+                    strSQL.Append(" Order By Dep.DisplayOrder");
+                }
+                else
+                {
+                    strSQL.Append(" And ReqDetail.PersonCode = Person.PersonCode");
+                    strSQL.Append(" Group By Person.PersonCode");
+                    strSQL.Append(" Order By Person.EmployeeClassFlg, Person.DisplayOrder");
+                }
             }
             catch (Exception ex)
             {
@@ -5201,82 +5321,6 @@
         }
         #endregion
 
-        #region 現行処理データの設定
-        ///// <summary>
-        ///// データの設定
-        ///// </summary>
-        ///// <returns></returns>
-        //private DataSet GetData()
-        //{
-        //    DataSet ds = new DataSet();
-        //    DataTable dt = new DataTable();
-        //    DataRow dtRow;
-
-        //    IOSalesGraphData sgdDB = new IOSalesGraphData();
-        //    List<SalesGraphData> sgdList = new List<SalesGraphData>();
-        //    try
-        //    {
-
-        //        // 列の作成
-        //        dt.Columns.Add("対象名", Type.GetType("System.String"));
-        //        dt.Columns.Add("売上", Type.GetType("System.Int32"));
-        //        dt.Columns.Add("販管・部署経費", Type.GetType("System.Int32"));
-        //        dt.Columns.Add("粗利益", Type.GetType("System.Int32"));
-        //        dt.Columns.Add("純利益（損益）", Type.GetType("System.Int32"));
-        //        ds.Tables.Add(dt);
-
-        //        // SQL作成
-        //        string strSQL = string.Format(" WHERE ConstructionPeriod = {0} Order By DisplayOrder ASC", SalseGraphNum.Value);
-        //        // 表示順マスタ取得
-        //        if (!sgdDB.SelectAction(strSQL, ref sgdList)) return ds;
-
-        //        int ino = 0;
-        //        progBarSalesGraph.Visible = true;
-        //        progBarSalesGraph.Minimum = ino;
-        //        progBarSalesGraph.Maximum = sgdList.Count;
-        //        tabPage14.Update();
-
-        //        DateTime wrkUpdate = sgdList[0].UpdateDate;
-        //        foreach (SalesGraphData wrkRec in sgdList)
-        //        {
-        //            // データの追加
-        //            dtRow = ds.Tables[0].NewRow();
-        //            dtRow[0] = wrkRec.DataName;
-        //            dtRow[1] = wrkRec.SalesAmount.ToString();
-        //            dtRow[2] = wrkRec.AdministrativeExpense.ToString();
-        //            dtRow[3] = wrkRec.GrossProfit.ToString();
-        //            dtRow[4] = wrkRec.NetIncome.ToString();
-        //            ds.Tables[0].Rows.Add(dtRow);
-
-        //            // 1番大きい更新値を取る
-        //            if (wrkUpdate < wrkRec.UpdateDate) wrkUpdate = wrkRec.UpdateDate;
-
-        //            // ProgressBarの値を変更する
-        //            progBarSalesGraph.Value = ino++;
-        //            progBarSalesGraph.Update();
-        //        }
-
-        //        // ProgressBarの値を変更する
-        //        progBarSalesGraph.Value = progBarSalesGraph.Maximum;
-        //        progBarSalesGraph.Update();
-        //        progBarSalesGraph.Visible = false;
-
-        //        // 更新日時を表示する
-        //        lblSalesGraphUpdate.Text = wrkUpdate.ToString("yyyy年MM月dd日 tthh時mm分 ") + "現在";
-        //    }
-        //    catch (Exception ex)
-        //    {
-        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-        //    }
-        //    finally
-        //    {
-        //        sgdDB.close(); sgdDB = null;
-        //    }
-
-        //    return ds;
-        //}
-        #endregion
-
         #region データの設定
         /// <summary>
         /// データの設定
@@ -5311,10 +5355,10 @@
                 // データ取得取得
                 if (!ReqDB.ExecuteReader(strSQL.ToString(), ref ArList)) return ds;
 
-                int ino = 0;
+                progBarSalesGraph.Minimum = 0;
+                progBarSalesGraph.Maximum = ArList.Count;
+                progBarSalesGraph.Value = 0;
                 progBarSalesGraph.Visible = true;
-                progBarSalesGraph.Minimum = ino;
-                progBarSalesGraph.Maximum = ArList.Count;
                 tabPage14.Update();
 
                 DateTime dtDefStart = CommonMotions.GetOpeningEndDate((int)SalseGraphNum.Value);
@@ -5322,24 +5366,36 @@
 
                 DateTime wrkUpdate = DateTime.MinValue;
                 int DepCode = 0;
+                int PerCode = 0;
                 long DepSalary = 0;
                 long PaySalary = 0;
                 long CostValue = 0;
 
+                // 経費配列
+                int ArrayCount = Common.CommonDefine.CostDataNoString.Length;
+                int[] CostArray = new int[ArrayCount];
+
+                int SelDepartment = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
                 foreach (object[] wrkRec in ArList)
                 {
-                    DepCode = CommonMotions.cnvInt(wrkRec[0]);
+                    Array.Clear(CostArray, 0, CostArray.Length);
+                    if (SelDepartment == 0)
+                    {
+                        DepCode = CommonMotions.cnvInt(wrkRec[0]);
+                        PerCode = 0;
+                    }
+                    else
+                    {
+                        DepCode = SelDepartment;
+                        PerCode = CommonMotions.cnvInt(wrkRec[0]);
+                    }
 
                     // 部署毎給与（振分給与－経過給与＋副担当給与＋指導員給与）
-                    DepSalary = CalcDepSalary(PersonDB, DepCode, dtDefStart, dtDefComp);
-
+                    DepSalary = CalcDepartmentSalary(PersonDB, DepCode, PerCode, dtDefStart, dtDefComp);
                     // 支払人件費（他部署副担当給与＋他部署指導員給与）
-                    PaySalary = CalcPaySalary(PersonDB, DepCode);
-                    
+                    PaySalary = CalcPaySalary(PersonDB, DepCode, PerCode);
                     // 経費取得
-                    int ArrayCount = Common.CommonDefine.CostDataNoString.Length;
-                    int[] CostArray = new int[ArrayCount];
-                    CreateLedgerSQL.GetPersonExpensesCostValue(CostDB, DepCode, 0, dtDefStart, dtDefComp, ref CostArray);
+                    CreateLedgerSQL.GetPersonExpensesCostValue(CostDB, DepCode, PerCode, dtDefStart, dtDefComp, ref CostArray);
                     CostValue = CostArray.Sum();
 
                     // データの追加
@@ -5367,7 +5423,7 @@
                     if (wrkUpdate < CommonMotions.cnvDate(wrkRec[10])) wrkUpdate = CommonMotions.cnvDate(wrkRec[10]);
 
                     // ProgressBarの値を変更する
-                    progBarSalesGraph.Value = ino++;
+                    progBarSalesGraph.Value = progBarSalesGraph.Value++;
                     progBarSalesGraph.Update();
                 }
 
@@ -5377,7 +5433,6 @@
                 progBarSalesGraph.Visible = false;
 
                 // 更新日時を表示する
-                //lblSalesGraphUpdate.Text = wrkUpdate.ToString("yyyy年MM月dd日 tthh時mm分 ") + "現在";
                 lblSalesGraphUpdate.Text = string.Format("{0} 現在",wrkUpdate.ToString("yyyy年MM月dd日"));
             }
             catch (Exception ex)
@@ -5412,22 +5467,37 @@
         /// 支払人件費取得
         /// </summary>
         /// <returns></returns>
-        private long CalcPaySalary(IOMPersonInCharge PersonDB, int DepartmentCode)
+        private long CalcPaySalary(IOMPersonInCharge PersonDB, int DepartmentCode, int PersonCode)
         {
             try
             {
                 StringBuilder strSQL = new StringBuilder();
                 // 取得ＳＱＬ作成
-                strSQL.Append("Select SUM(C.PaymentAmount) From");
-                strSQL.Append(" constructionbaseinfo AS A");
+                strSQL.Append("Select");
+                strSQL.Append(" SUM(C.PaymentAmount)");
+                strSQL.Append(" From constructionbaseinfo AS A");
                 strSQL.Append(", constructionledgerdetail AS B");
-                strSQL.Append(" LEFT JOIN constructionledgerexcute AS C");
+
+                strSQL.Append(" LEFT JOIN (Select");
+                strSQL.Append(" C2.ConstructionCode AS ConstructionCode");
+                strSQL.Append(", C2.GroupCount AS GroupCount");
+                strSQL.Append(", C2.LineCount AS LineCount");
+                strSQL.Append(", SUM(C2.PaymentAmount) AS PaymentAmount");
+                strSQL.Append(" From constructionledgerexcute C2");
+                strSQL.Append(" Group By C2.ConstructionCode, C2.GroupCount, C2.LineCount) AS C");
                 strSQL.Append(" ON C.ConstructionCode = B.ConstructionCode");
                 strSQL.Append(" And C.GroupCount = B.GroupCount");
                 strSQL.Append(" And C.LineCount = B.LineCount");
-                strSQL.Append(" Where A.ConstructionPersonCode IN (");
-                strSQL.Append(" SELECT APerson.PERSONCODE FROM personinchargemaster As APerson");
-                strSQL.AppendFormat(" Where APerson.DepartmentCode = {0})", DepartmentCode);
+                if (PersonCode == 0)
+                {
+                    strSQL.Append(" Where A.ConstructionPersonCode IN (");
+                    strSQL.Append(" SELECT APerson.PERSONCODE FROM personinchargemaster As APerson");
+                    strSQL.AppendFormat(" Where APerson.DepartmentCode = {0})", DepartmentCode);
+                }
+                else
+                {
+                    strSQL.AppendFormat(" Where A.ConstructionPersonCode = {0}", PersonCode);
+                }
                 strSQL.AppendFormat(" And A.ConstructionPeriod = {0}", SalseGraphNum.Value);
                 strSQL.Append(" And B.ConstructionCode = A.ConstructionCode");
                 strSQL.AppendFormat(" And B.GroupCount IN ({0}, {1})"
@@ -5459,28 +5529,34 @@
         /// 部署毎範囲給与取得
         /// </summary>
         /// <returns></returns>
-        private long CalcDepSalary(IOMPersonInCharge PersonDB, int DepartmentCode, DateTime dtDefStart, DateTime dtDefComp)
+        private long CalcDepartmentSalary(IOMPersonInCharge PersonDB,
+                                            int DepartmentCode, int PersonCode,
+                                            DateTime dtDefStart, DateTime dtDefComp)
         {
             try
             {
                 StringBuilder strSQL = new StringBuilder();
                 // 取得ＳＱＬ作成
-                CreateDepSalarySQL(DepartmentCode, ref strSQL, dtDefStart, dtDefComp);
+                CreateDepSalarySQL(DepartmentCode, PersonCode, ref strSQL, dtDefStart, dtDefComp);
                 // 部内対象取得
                 ArrayList ArList = new ArrayList();
                 PersonDB.ExecuteReader(strSQL.ToString(), ref ArList);
 
+                long lRet = 0;
                 int DepCode = 0;
-                int PersonCode = 0;
+                int CurPersonCode = 0;
                 int TotalSalary = 0;
                 DateTime dtStart = DateTime.Today;
                 DateTime dtComp = DateTime.Today;
                 DateTime dtInTime = DateTime.Today;
                 DateTime dtOutTime = DateTime.Today;
+
+                int getCnt = Enum.GetNames(typeof(SalVal)).Length;
+                long[] SVal = new long[getCnt];
                 foreach (object[] objRec in ArList)
                 {
                     DepCode = CommonMotions.cnvInt(objRec[0]);
-                    PersonCode = CommonMotions.cnvInt(objRec[1]);
+                    CurPersonCode = CommonMotions.cnvInt(objRec[1]);
                     dtStart = CommonMotions.cnvDate(objRec[2]);
                     dtComp = CommonMotions.cnvDate(objRec[3]);
                     dtInTime = CommonMotions.cnvDate(objRec[4]);
@@ -5496,15 +5572,16 @@
                     if (dtDefStart <= dtOutTime && dtOutTime <= dtDefComp) dtComp = dtOutTime;
 
                     // 経過給与取得
-                    TotalSalary += CommonMotions.CalcElapsedSalary(PersonDB, dtStart, dtComp, PersonCode);
+                    TotalSalary = CommonMotions.CalcElapsedSalary(PersonDB, dtStart, dtComp, CurPersonCode);
+                    // 振分の取得
+                    Array.Clear(SVal, 0, SVal.Length);
+                    GetSalaryValue(PersonDB, DepartmentCode, CurPersonCode, ref SVal);
+
+                    lRet += (TotalSalary * -1) + (SVal[(int)SalVal.Assistant] + SVal[(int)SalVal.Instructor]);
                 }
 
-                // 振分分の取得
-                int getCnt = Enum.GetNames(typeof(SalVal)).Length;
-                long[] SVal = new long[getCnt];
-                GetSalaryValue(PersonDB, DepartmentCode, ref SVal);
 
-                return (TotalSalary * -1) + (SVal[(int)SalVal.Assistant] + SVal[(int)SalVal.Instructor]);
+                return lRet;
             }
             catch (Exception ex)
             {
@@ -5519,7 +5596,7 @@
         /// 部署毎給与範囲取得SQL作成
         /// </summary>
         /// <param name="strSQL"></param>
-        private void CreateDepSalarySQL(int DepartmentCode, ref StringBuilder strSQL, DateTime dtDefStart, DateTime dtDefComp)
+        private void CreateDepSalarySQL(int DepartmentCode, int PersonCode, ref StringBuilder strSQL, DateTime dtDefStart, DateTime dtDefComp)
         {
             try
             {
@@ -5543,23 +5620,6 @@
                 strSQL.Append(" LDetail.CompanyCode As PersonCode");
                 strSQL.Append(", Ledger.ConstructionStart As Start0");
                 strSQL.Append(", Ledger.ConstructionEnd As Comp0");
-                //strSQL.Append(", Case When");
-                //strSQL.AppendFormat(" DATE(Base.CONSTRUCTIONPERIODSTART) != DATE('{0}')", DateTime.MinValue.ToShortDateString());
-                //strSQL.AppendFormat(" AND DATE(Base.CONSTRUCTIONPERIODSTART2) != DATE('{0}') Then", DateTime.MinValue.ToShortDateString());
-                //strSQL.Append(" Case When");
-                //strSQL.Append(" Base.CONSTRUCTIONPERIODSTART <= Base.CONSTRUCTIONPERIODSTART2 Then Base.CONSTRUCTIONPERIODSTART");
-                //strSQL.Append(" Else Base.CONSTRUCTIONPERIODSTART2");
-                //strSQL.Append(" End");
-                //strSQL.Append(" Else Base.CONSTRUCTIONPERIODSTART");
-                //strSQL.Append(" End As Start0");
-                //strSQL.Append(", Case When");
-                //strSQL.AppendFormat(" DATE(Base.CONSTRUCTIONPERIODEND) != DATE('{0}')", DateTime.MinValue.ToShortDateString());
-                //strSQL.AppendFormat(" AND DATE(Base.CONSTRUCTIONPERIODEND2) != DATE('{0}')", DateTime.MinValue.ToShortDateString());
-                //strSQL.Append(" Then Case When Base.CONSTRUCTIONPERIODEND >= Base.CONSTRUCTIONPERIODEND2 Then Base.CONSTRUCTIONPERIODEND");
-                //strSQL.Append(" Else Base.CONSTRUCTIONPERIODEND2");
-                //strSQL.Append(" End");
-                //strSQL.Append(" Else Base.CONSTRUCTIONPERIODEND");
-                //strSQL.Append(" End As Comp0");
                 strSQL.Append(", LDetail.GROUPCOUNT");
                 strSQL.Append(", LDetail.ConstructionCode");
                 strSQL.Append(" From");
@@ -5580,6 +5640,7 @@
                 strSQL.Append(") As Detail");
                 strSQL.Append(" ON Detail.PersonCode = Person.PersonCode");
                 strSQL.AppendFormat(" Where Person.DepartmentCode = {0}", DepartmentCode);
+                if (PersonCode > 0) strSQL.AppendFormat(" And Person.PersonCode = {0}", PersonCode);
                 strSQL.AppendFormat(" And Person.LEDGERFLG = {0}", (int)CommonDefine.PersonLedgerDivNo.CalcTarget);
                 strSQL.AppendFormat(" And ((DATE (Person.StartDate) <= DATE ('{0}')", dtDefStart.ToShortDateString());
                 strSQL.AppendFormat(" And DATE (Person.EndDate) = DATE ('{0}'))", DateTime.MinValue.ToShortDateString());
@@ -5600,13 +5661,13 @@
         /// <summary>
         /// 振分所得取込
         /// </summary>
-        private void GetSalaryValue(IOMPersonInCharge PersonDB, int DepartmentCode, ref long[] lVal)
+        private void GetSalaryValue(IOMPersonInCharge PersonDB, int DepartmentCode, int PersonCode, ref long[] lVal)
         {
             try
             {
                 StringBuilder strSQL = new StringBuilder();
                 // 取得ＳＱＬ作成
-                CreateSalaryValSQL(DepartmentCode, ref strSQL);
+                CreateSalaryValSQL(DepartmentCode, PersonCode, ref strSQL);
                 // 部内対象取得
                 ArrayList ArList = new ArrayList();
                 PersonDB.ExecuteReader(strSQL.ToString(), ref ArList);
@@ -5640,7 +5701,7 @@
         /// </summary>
         /// <param name="DepartmentCode"></param>
         /// <param name="strSQL"></param>
-        private void CreateSalaryValSQL(int DepartmentCode, ref StringBuilder strSQL)
+        private void CreateSalaryValSQL(int DepartmentCode, int PersonCode, ref StringBuilder strSQL)
         {
             try
             {
@@ -5662,14 +5723,22 @@
                 strSQL.Append(" ifnull(C2.CompanyCode, 0) As PersonCode");
                 strSQL.Append(", C1.CONSTRUCTIONPERIOD As PERIOD");
                 strSQL.Append(", C2.GROUPCOUNT As GroupCnt");
-                strSQL.Append(" , C4.PaymentAmount As PaymentAmount");
+                strSQL.Append(", C4.PaymentAmount As PaymentAmount");
                 strSQL.Append(" FROM");
                 strSQL.Append(" CONSTRUCTIONBASEINFO C1");
                 strSQL.Append(", CONSTRUCTIONLEDGERDETAIL C2");
-                strSQL.Append(" LEFT JOIN constructionledgerexcute C4");
+                
+                strSQL.Append(" LEFT JOIN (Select");
+                strSQL.Append(" CC4.ConstructionCode AS ConstructionCode");
+                strSQL.Append(", CC4.GroupCount AS GroupCount");
+                strSQL.Append(", CC4.LineCount AS LineCount");
+                strSQL.Append(", SUM(CC4.PaymentAmount) AS PaymentAmount");
+                strSQL.Append(" From constructionledgerexcute CC4");
+                strSQL.Append(" Group By CC4.ConstructionCode, CC4.GroupCount, CC4.LineCount) AS C4");
                 strSQL.Append(" ON C4.ConstructionCode = C2.ConstructionCode");
                 strSQL.Append(" And C4.GroupCount = C2.GroupCount");
                 strSQL.Append(" And C4.LineCount = C2.LineCount");
+
                 strSQL.Append(", personinchargemaster As Person");
                 strSQL.Append(" WHERE");
                 strSQL.AppendFormat(" C1.CONSTRUCTIONSTATUSFLG <> {0}", NotOrder);
@@ -5681,6 +5750,7 @@
                                         , (int)FrmConstructionLedger.DataGroup.Payroll);
                 strSQL.Append(" And Person.PersonCode = C2.CompanyCode");
                 strSQL.AppendFormat(" And Person.DepartmentCode = {0}", DepartmentCode);
+                if (PersonCode > 0) strSQL.AppendFormat(" And Person.PersonCode = {0}", PersonCode);
                 strSQL.Append(" ) as tmpSalary");
                 strSQL.Append(" Group By PersonCode, GroupCnt) AS SearchDate ON SearchDate.PersonCode = Person.PersonCode");
                 strSQL.AppendFormat(" Where Department.DepartmentCode = {0}", DepartmentCode);
@@ -5704,7 +5774,6 @@
         {
             try
             {
-                bGraphNotDrow = true;
                 // データにある事業期と現在の事業セット
                 int minval = 0;
                 int maxval = 0;
@@ -5717,10 +5786,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                bGraphNotDrow = false;
-            }
         }
         #endregion
         #endregion
